local SoundIDs = {
	567478, -- READYCHECK
	567451, -- INVITE
	567397, -- RAIDWARNING
}

ChoosenPack = 1

ConfigSounds = {
	{ name = "Disney", ReadyCheck = [[Interface\AddOns\KazSoundPack\Sounds\ReadyCheckDisney.ogg]], Invite =  [[Interface\AddOns\KazSoundPack\Sounds\InviteDisney.ogg]], RaidWarning = [[Interface\AddOns\KazSoundPack\Sounds\WarningDisney.ogg]], CMEnd = [[Interface\AddOns\KazSoundPack\Sounds\CMDoneDisney.ogg]], CMStart = [[Interface\AddOns\KazSoundPack\Sounds\CMStartDisney.ogg]], PlayerDead = [[Interface\AddOns\KazSoundPack\Sounds\DeadDisney.ogg]]},
}

local function KazPrint(text, prefix)
	local tag = "KazSoundPack"
	local frame = DEFAULT_CHAT_FRAME
	if prefix ~= false then
		frame:AddMessage(("|cffffd480<|r|cffaaff80%s|r|cffffd480>|r %s"):format(tostring(tag), tostring(text)), 1, 0.46, 0.2)
	else
		frame:AddMessage(text, 1, 0.46, 0.2);
	end
end

local function KazMuteSounds()
   count = 0
   for _, soundID in pairs (SoundIDs) do
      MuteSoundFile(soundID)
   end
end

local KazSoundPackCore = CreateFrame("Frame", "KazSoundPackCore")
KazSoundPackCore:RegisterEvent("PLAYER_LOGIN")
KazSoundPackCore:RegisterEvent("READY_CHECK")
KazSoundPackCore:RegisterEvent("PARTY_INVITE_REQUEST")
KazSoundPackCore:RegisterEvent("CHAT_MSG_RAID_WARNING")
KazSoundPackCore:RegisterEvent("CHALLENGE_MODE_START")
KazSoundPackCore:RegisterEvent("CHALLENGE_MODE_COMPLETED")
KazSoundPackCore:RegisterEvent("PLAYER_DEAD")
KazSoundPackCore:SetScript("OnEvent", function(self, event, ...)
	if event == "PLAYER_LOGIN" then
		KazMuteSounds()	
	elseif event == "READY_CHECK" then
		PlaySoundFile(ConfigSounds[ChoosenPack].ReadyCheck, "Master")
	elseif event == "PARTY_INVITE_REQUEST" then
		PlaySoundFile(ConfigSounds[ChoosenPack].Invite, "Master")
	elseif event == "CHAT_MSG_RAID_WARNING" then
		PlaySoundFile(ConfigSounds[ChoosenPack].RaidWarning, "Master")
	elseif event == "CHALLENGE_MODE_START" then
		PlaySoundFile(ConfigSounds[ChoosenPack].CMStart, "Master")
	elseif event == "CHALLENGE_MODE_COMPLETED" then 
		PlaySoundFile(ConfigSounds[ChoosenPack].CMEnd, "Master")
	elseif event == "PLAYER_DEAD" then
		PlaySoundFile(ConfigSounds[ChoosenPack].PlayerDead, "Master")
	end
end)


